index.css 1.1 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657
  1. @import "@opencode-ai/ui/styles/tailwind";
  2. :root {
  3. a {
  4. cursor: default;
  5. }
  6. }
  7. [data-component="markdown"] ul {
  8. list-style: disc outside;
  9. padding-left: 1.5rem;
  10. }
  11. [data-component="markdown"] ol {
  12. list-style: decimal outside;
  13. padding-left: 1.5rem;
  14. }
  15. [data-component="markdown"] li > p:first-child {
  16. display: inline;
  17. margin: 0;
  18. }
  19. [data-component="markdown"] li > p + p {
  20. display: block;
  21. margin-top: 0.5rem;
  22. }
  23. *[data-tauri-drag-region] {
  24. app-region: drag;
  25. }
  26. .session-scroller::-webkit-scrollbar {
  27. width: 10px !important;
  28. height: 10px !important;
  29. }
  30. .session-scroller::-webkit-scrollbar-track {
  31. background: transparent !important;
  32. border-radius: 5px !important;
  33. }
  34. .session-scroller::-webkit-scrollbar-thumb {
  35. background: var(--border-weak-base) !important;
  36. border-radius: 5px !important;
  37. border: 3px solid transparent !important;
  38. background-clip: padding-box !important;
  39. }
  40. .session-scroller::-webkit-scrollbar-thumb:hover {
  41. background: var(--border-weak-base) !important;
  42. }
  43. .session-scroller {
  44. scrollbar-width: thin !important;
  45. scrollbar-color: var(--border-weak-base) transparent !important;
  46. }